IT Administrators‎ > ‎Installation‎ > ‎

Triaster Server Roles and their Software Installations

 This article is suitable for an IT Adminstrator

Ref: 201102111522
Last Edited: August 8th, 2012
 

A Triaster server performs roles that require particular software to be installed.
 
These are the roles and software for Triaster Suite 10.1.

Triaster Server Roles

 Role  Software Requirement  Notes
 Publication Server  PublicationServer
 Process Navigator
 Microsoft .NET Framework 2.0
 Visio
  • Microsoft .NET Framework 2.0 is required because the Triaster applications, Publication Server and Process Navigator, depend on it.
  • Visio is required because the mapping component of the Triaster application, Process Navigator, depends on it.
 Web Server  Process Library
 Triaster Browser Toolkit
 Microsoft .NET Framework 3.5 SP1
 IIS 5.5 or later
 Windows Search 4.0
 Microsoft Silverlight 3.0 or later
  • Microsoft .NET Framework is required because the Triaster applications, Process Library and Triaster Browser Toolkit, depend on it.
  • Microsoft .NET Framework 3.5 SP1 (more specifically, its extensions to previous versions) is required to run Silverlight-based applications hosted on the server.
  • Windows Search is required for the Document Search feature.
  • Although Microsoft Silverlight isn't strictly necessary on the Web Server, it enables related features to be checked when troubleshooting directly on the server.
 

Triaster Software Installations

A Triaster software installation will include other required components, which will be listed in 'Add or Remove Programs'.
 
Triaster Software   Components
 Process Navigator  Microsoft .NET Framework 2.0
 Process Navigator
 Publication Server  Microsoft.NET Framework 2.0
 PublicationServer
 ProcessLibrary  Microsoft .NET Framework 2.0 Service Pack 2
 Microsoft .NET Framework 3.0 Service Pack 2
 Microsoft .NET Framework 3.5 SP1
 MSXML 6.0 Parser
 Process Library
 Triaster Browser Toolkit  Microsoft .NET Framework 2.0 Service Pack 2
 Microsoft .NET Framework 3.0 Service Pack 2
 Microsoft .NET Framework 3.5 SP1
 MSXML 6.0 Parser
 Triaster Browser Toolkit
 

Note:
 
Installing Microsoft .NET Framework 3.5 SP1 installs:
 
 Microsoft .NET Framework 2.0 Service Pack 2
 Microsoft .NET Framework 3.0 Service Pack 2
 Microsoft .NET Framework 3.5 SP1
 MSXML 6.0 Parser


Need further help? Contact the Triaster Support team by e-mailing support@triaster.co.uk or by calling us on + 44 (0)870 402 1234.

Do you have any feedback or suggestions that you would like to share with Triaster? We would love to hear from you! Please e-mail feedback@triaster.co.uk 
Comments